class CreateSubProducts < ActiveRecord::Migration
  def change
    create_table :sub_products do |t|
      t.integer :product_id
      t.string :name
      t.text :description
      t.decimal :price_ht, precision: 10, scale: 2
      t.decimal :price_ht_total, precision: 10, scale: 2
      t.decimal :qte, precision: 10, scale: 2
      t.integer :product_order_product_id
      t.integer :fournisseur_id
      t.string :reference
      
      t.timestamps null: false
    end
  end
end
